Last Comment Bug 1329012 - Enable the no-useless-call rule for eslint
: Enable the no-useless-call rule for eslint
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: General (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: mozilla53
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-05 13:48 PST by Jared Wein [:jaws] (please needinfo? me)
Modified: 2017-01-07 08:28 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1329012 - Enable the no-useless-call rule for eslint and fix the nine errors that it caught. (59 bytes, text/x-review-board-request)
2017-01-05 14:10 PST, Jared Wein [:jaws] (please needinfo? me)
dtownsend: review+
Details | Review

Description User image Jared Wein [:jaws] (please needinfo? me) 2017-01-05 13:48:07 PST
There are nine errors that are caught by this rule. This rule focuses on unnecessary uses of Function.call() and .apply().
Comment 1 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-05 14:10:41 PST Comment hidden (mozreview-request)
Comment 2 User image Dave Townsend [:mossop] 2017-01-06 10:04:37 PST
Comment on attachment 8824227 [details]
Bug 1329012 - Enable the no-useless-call rule for eslint and fix the nine errors that it caught.

https://reviewboard.mozilla.org/r/102742/#review103512
Comment 3 User image Pulsebot 2017-01-06 12:09:10 PST
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9eb227438c64
Enable the no-useless-call rule for eslint and fix the nine errors that it caught. r=mossop
Comment 4 User image Ryan VanderMeulen [:RyanVM] 2017-01-07 08:28:28 PST
https://hg.mozilla.org/mozilla-central/rev/9eb227438c64

Note You need to log in before you can comment on or make changes to this bug.